Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1084789 - template of thin provision NFS,can't be copied to block data domains
Summary: template of thin provision NFS,can't be copied to block data domains
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.4.0
Assignee: Tal Nisan
QA Contact: Ori Gofen
URL:
Whiteboard: storage
Depends On: 1063996
Blocks: 1037439 1097777
TreeView+ depends on / blocked
 
Reported: 2014-04-06 16:20 UTC by Ori Gofen
Modified: 2016-05-26 01:47 UTC (History)
12 users (show)

Fixed In Version: org.ovirt.engine-root-3.4.0-19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Storage


Attachments (Terms of Use)
new logs (deleted)
2014-05-07 11:54 UTC, Ori Gofen
no flags Details
another logs attachment (deleted)
2014-05-13 10:04 UTC, Ori Gofen
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 25778 None None None Never
oVirt gerrit 26469 None None None Never
oVirt gerrit 27525 master MERGED core: Predetermine volume type on copy according to the destination domain Never
oVirt gerrit 27536 ovirt-engine-3.4 MERGED core: Predetermine volume type on copy according to the destination domain Never

Description Ori Gofen 2014-04-06 16:20:54 UTC
Description of problem:

Creation of a new thin provision disk on NFS storage domain from the webadmin interface creates a raw sprase vol which is not supported by block domains.
Therefore when adding a new thin provision NFS disk and creating a template including this disk, it is not possible to copy the template into ISCSI storage Domain (results in error):  
	
** Operation Canceled Error while executing action: Cannot copy Virtual Machine Disk. Disk configuration (RAW Sparse) is incompatible with the storage domain type.  **

Version-Release number of selected component (if applicable):

Release: Red Hat Enterprise Linux Server release 6.5 (Santiago)

Version: rhevm-3.4.0-0.13.beta3.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:

1.Create a shared DC.

2.Create 2 SDs - ISCSI and NFS

3.Create VM with disks on NFS

4.Make template from this VM.

5.Copy template disk's from NFS domain to ISCSI domain.

Actual results:

engine fails to create a copy

Expected results:
process should be supported

Additional info:
log: 
2014-04-06 18:55:44,996 INFO  [org.ovirt.engine.core.bll.AddVmTemplateCommand] (org.ovirt.thread.pool-4-thread-27) [4557b586] Ending command successfully: org.ovirt.engine.core.bll.AddVmTemplateCommand                                                                                                                                           
2014-04-06 18:55:44,997 INFO  [org.ovirt.engine.core.bll.CreateImageTemplateCommand] (org.ovirt.thread.pool-4-thread-27) [144b01df] Ending command successfully: org.ovirt.engine.core.bll.CreateImageTemplateCommand                                                                                                                               
2014-04-06 18:55:45,008 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetImageInfoVDSCommand] (org.ovirt.thread.pool-4-thread-27) [144b01df] START, GetImageInfoVDSCommand( storagePoolId = a2a9db1d-8c15-47ac-bae9-29e5f5e48efd, ignoreFailoverLimit = false, storageDomainId = 42132f8a-5db9-4afa-8f58-7d66b964d093, imageGroupId = da12f3e2-f43d-4c7c-9c74-0b5707dcb2b9, imageId = 3685c39f-f9ce-4475-8711-b9ab123a234b), log id: 731800d7                                                                              
2014-04-06 18:55:45,050 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetImageInfoVDSCommand] (org.ovirt.thread.pool-4-thread-27) [144b01df] FINISH, GetImageInfoVDSCommand, return: org.ovirt.engine.core.common.businessentities.DiskImage@cf355d9a, log id: 731800d7                                                                          
2014-04-06 18:55:45,055 INFO  [org.ovirt.engine.core.bll.CreateImageTemplateCommand] (org.ovirt.thread.pool-4-thread-27) [6410d2ca] Ending command successfully: org.ovirt.engine.core.bll.CreateImageTemplateCommand                                                                                                                               
2014-04-06 18:55:45,056 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetImageInfoVDSCommand] (org.ovirt.thread.pool-4-thread-27) [6410d2ca] START, GetImageInfoVDSCommand( storagePoolId = a2a9db1d-8c15-47ac-bae9-29e5f5e48efd, ignoreFailoverLimit = false, storageDomainId = 42132f8a-5db9-4afa-8f58-7d66b964d093, imageGroupId = 2b50fb48-450b-420f-83ac-52842572d746, imageId = df5ebc80-784c-4bb0-ac6d-e42e50a0c615), log id: 4f9f3e14                                                                              
2014-04-06 18:55:45,097 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetImageInfoVDSCommand] (org.ovirt.thread.pool-4-thread-27) [6410d2ca] FINISH, GetImageInfoVDSCommand, return: org.ovirt.engine.core.common.businessentities.DiskImage@97ddfe44, log id: 4f9f3e14                                                                          
2014-04-06 18:55:45,112 INFO  [org.ovirt.engine.core.vdsbroker.SetVmStatusVDSCommand] (org.ovirt.thread.pool-4-thread-27) START, SetVmStatusVDSCommand( vmId = a99485c5-81ff-40d5-a5f8-f32440dddf13, status = Down), log id: 4dcf22f0                                                                                                               
2014-04-06 18:55:45,119 INFO  [org.ovirt.engine.core.vdsbroker.SetVmStatusVDSCommand] (org.ovirt.thread.pool-4-thread-27) FINISH, SetVmStatusVDSCommand, log id: 4dcf22f0 
2014-04-06 18:55:45,132 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (org.ovirt.thread.pool-4-thread-27) Correlation ID: 4557b586, Job ID: 6454dba5-0aa8-4d8a-8653-829e6c2a7707, Call Stack: null, Custom Event ID: -1, Message: Creation of Template template from VM vm1 has been completed.                      
2014-04-06 18:55:45,133 INFO  [org.ovirt.engine.core.bll.CommandAsyncTask] (org.ovirt.thread.pool-4-thread-27) CommandAsyncTask::HandleEndActionResult [within thread]: endAction for action type AddVmTemplate completed, handling the result.                                                                                                     
2014-04-06 18:55:45,133 INFO  [org.ovirt.engine.core.bll.CommandAsyncTask] (org.ovirt.thread.pool-4-thread-27) CommandAsyncTask::HandleEndActionResult [within thread]: endAction for action type AddVmTemplate succeeded, clearing tasks.                                                                                                          
2014-04-06 18:55:45,135 INFO  [org.ovirt.engine.core.bll.SPMAsyncTask] (org.ovirt.thread.pool-4-thread-27) SPMAsyncTask::ClearAsyncTask: Attempting to clear task 8ef9e410-6172-4cf4-8995-529e3562f41c                                                                                                                                              
2014-04-06 18:55:45,136 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.SPMClearTaskVDSCommand] (org.ovirt.thread.pool-4-thread-27) START, SPMClearTaskVDSCommand( storagePoolId = a2a9db1d-8c15-47ac-bae9-29e5f5e48efd, ignoreFailoverLimit = false, taskId = 8ef9e410-6172-4cf4-8995-529e3562f41c), log id: bb962b3                              
2014-04-06 18:55:45,137 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMClearTaskVDSCommand] (org.ovirt.thread.pool-4-thread-27) START, HSMClearTaskVDSCommand(HostName = 10.35.116.2, HostId = 1e52afb1-3a0a-4168-a0b8-8b6a846fb0de, taskId=8ef9e410-6172-4cf4-8995-529e3562f41c), log id: 37fedbc8                                            
2014-04-06 18:55:45,154 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMClearTaskVDSCommand] (org.ovirt.thread.pool-4-thread-27) FINISH, HSMClearTaskVDSCommand, log id: 37fedbc8                                                                                                                                                               
2014-04-06 18:55:45,154 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.SPMClearTaskVDSCommand] (org.ovirt.thread.pool-4-thread-27) FINISH, SPMClearTaskVDSCommand, log id: bb962b3                                                                                                                                                                
2014-04-06 18:55:45,156 INFO  [org.ovirt.engine.core.bll.SPMAsyncTask] (org.ovirt.thread.pool-4-thread-27) BaseAsyncTask::RemoveTaskFromDB: Removed task 8ef9e410-6172-4cf4-8995-529e3562f41c from DataBase                                                                                                                                         
2014-04-06 18:55:45,156 INFO  [org.ovirt.engine.core.bll.SPMAsyncTask] (org.ovirt.thread.pool-4-thread-27) SPMAsyncTask::ClearAsyncTask: Attempting to clear task 829591e0-47ac-47ae-8d9a-ef3591fa3149                                                                                                                                              
2014-04-06 18:55:45,156 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.SPMClearTaskVDSCommand] (org.ovirt.thread.pool-4-thread-27) START, SPMClearTaskVDSCommand( storagePoolId = a2a9db1d-8c15-47ac-bae9-29e5f5e48efd, ignoreFailoverLimit = false, taskId = 829591e0-47ac-47ae-8d9a-ef3591fa3149), log id: 1a7cc17f                             
2014-04-06 18:55:45,157 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMClearTaskVDSCommand] (org.ovirt.thread.pool-4-thread-27) START, HSMClearTaskVDSCommand(HostName = 10.35.116.2, HostId = 1e52afb1-3a0a-4168-a0b8-8b6a846fb0de, taskId=829591e0-47ac-47ae-8d9a-ef3591fa3149), log id: 7483866e                                            
2014-04-06 18:55:45,215 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMClearTaskVDSCommand] (org.ovirt.thread.pool-4-thread-27) FINISH, HSMClearTaskVDSCommand, log id: 7483866e                                                                                                                                                               
2014-04-06 18:55:45,216 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.SPMClearTaskVDSCommand] (org.ovirt.thread.pool-4-thread-27) FINISH, SPMClearTaskVDSCommand, log id: 1a7cc17f                                                                                                                                                               
2014-04-06 18:55:45,219 INFO  [org.ovirt.engine.core.bll.SPMAsyncTask] (org.ovirt.thread.pool-4-thread-27) BaseAsyncTask::RemoveTaskFromDB: Removed task 829591e0-47ac-47ae-8d9a-ef3591fa3149 from DataBase                                                                                                                                         
2014-04-06 18:55:45,219 INFO  [org.ovirt.engine.core.bll.CommandAsyncTask] (org.ovirt.thread.pool-4-thread-27) CommandAsyncTask::HandleEndActionResult [within thread]: Removing CommandMultiAsyncTasks object for entity 3e40291a-246c-4655-84b1-94999dae7626                                                                                      
2014-04-06 18:55:56,847 INFO  [org.ovirt.engine.core.bll.RunVmCommand] (ajp-/127.0.0.1:8702-3) [314523a5] Lock Acquired to object EngineLock [exclusiveLocks= key: a99485c5-81ff-40d5-a5f8-f32440dddf13 value: VM                                                                                                                                   
, sharedLocks= ]                                                                                                                                                          
2014-04-06 18:55:56,859 INFO  [org.ovirt.engine.core.vdsbroker.IsVmDuringInitiatingVDSCommand] (ajp-/127.0.0.1:8702-3) [314523a5] START, IsVmDuringInitiatingVDSCommand( vmId = a99485c5-81ff-40d5-a5f8-f32440dddf13), log id: 333344f                                                                                                              
2014-04-06 18:55:56,859 INFO  [org.ovirt.engine.core.vdsbroker.IsVmDuringInitiatingVDSCommand] (ajp-/127.0.0.1:8702-3) [314523a5] FINISH, IsVmDuringInitiatingVDSCommand, return: false, log id: 333344f                                                                                                                                            
2014-04-06 18:55:56,894 INFO  [org.ovirt.engine.core.bll.RunVmCommand] (org.ovirt.thread.pool-4-thread-42) [314523a5] Running command: RunVmCommand internal: false. Entities affected :  ID: a99485c5-81ff-40d5-a5f8-f32440dddf13 Type: VM                                                                                                         
2014-04-06 18:55:56,946 INFO  [org.ovirt.engine.core.vdsbroker.CreateVmVDSCommand] (org.ovirt.thread.pool-4-thread-42) [314523a5] START, CreateVmVDSCommand(HostName = 10.35.116.2, HostId = 1e52afb1-3a0a-4168-a0b8-8b6a846fb0de, vmId=a99485c5-81ff-40d5-a5f8-f32440dddf13, vm=VM [vm1]), log id: 1c0d1286                                        
2014-04-06 18:55:56,950 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateVDSCommand] (org.ovirt.thread.pool-4-thread-42) [314523a5] START, CreateVDSCommand(HostName = 10.35.116.2, HostId = 1e52afb1-3a0a-4168-a0b8-8b6a846fb0de, vmId=a99485c5-81ff-40d5-a5f8-f32440dddf13, vm=VM [vm1]), log id: 742885ed                                  
2014-04-06 18:55:57,067 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateVDSCommand] (org.ovirt.thread.pool-4-thread-42) [314523a5] org.ovirt.engine.core.vdsbroker.vdsbroker.CreateVDSCommand spiceSslCipherSuite=DEFAULT,memSize=1024,kvmEnable=true,smp=1,vmType=kvm,emulatedMachine=rhel6.5.0,keyboardLayout=en-us,memGuaranteedSize=1024,nice=0,display=qxl,smartcardEnable=false,smpCoresPerSocket=1,spiceSecureChannels=smain,sinputs,scursor,splayback,srecord,sdisplay,susbredir,ssmartcard,maxVCpus=160,timeOffset=0,transparentHugePages=true,vmId=a99485c5-81ff-40d5-a5f8-f32440dddf13,devices=[{specParams={vram=32768, heads=1}, device=qxl, type=video, deviceId=8ec65fe7-1ab9-4245-96e5-eeb2f17120b6}, {shared=false, iface=ide, index=2, specParams={path=}, path=, device=cdrom, type=disk, readonly=true, deviceId=5fe6b77a-5a41-4ef2-a1e2-58d21c4f0021}, {shared=false, index=0, volumeID=29cdcf74-cd1b-40a9-b4a6-4f96c0a92777, propagateErrors=off, format=raw, type=disk, iface=scsi, bootOrder=1, address={unit=1, bus=0, target=0, controller=0, type=drive}, domainID=42132f8a-5db9-4afa-8f58-7d66b964d093, imageID=f9d83a38-a498-4152-bf22-94b2c7c559bb, specParams={}, optional=false, device=disk, poolID=a2a9db1d-8c15-47ac-bae9-29e5f5e48efd, readonly=false, deviceId=f9d83a38-a498-4152-bf22-94b2c7c559bb}, {shared=false, volumeID=cebb4535-2237-4775-a6f4-cb5f2e4bbc99, iface=scsi, imageID=1bf92d64-4d45-4497-bf02-4fe30c09b14d, domainID=42132f8a-5db9-4afa-8f58-7d66b964d093, address={unit=0, bus=0, target=0, controller=0, type=drive}, specParams={}, optional=false, propagateErrors=off, device=disk, poolID=a2a9db1d-8c15-47ac-bae9-29e5f5e48efd, format=raw, type=disk, readonly=false, deviceId=1bf92d64-4d45-4497-bf02-4fe30c09b14d}, {nicModel=pv, specParams={}, macAddr=00:1a:4a:76:a4:9f, device=bridge, linkActive=true, type=interface, filter=vdsm-no-mac-spoofing, network=rhevm, deviceId=02df3a53-4ec2-4c23-87fe-1ad96736a083}, {specParams={model=virtio}, device=memballoon, type=balloon, deviceId=36914fd1-900b-44e5-9208-76861fae7c95}, {index=0, model=virtio-scsi, specParams={}, device=scsi, type=controller, deviceId=24aacb9b-9af4-4b56-85ba-2d4bb42c6c3f}],acpiEnable=true,vmName=vm1,cpuType=Nehalem,custom={}        
2014-04-06 18:55:57,067 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.CreateVDSCommand] (org.ovirt.thread.pool-4-thread-42) [314523a5] FINISH, CreateVDSCommand, log id: 742885ed                                                                                                                                                                
2014-04-06 18:55:57,075 INFO  [org.ovirt.engine.core.vdsbroker.CreateVmVDSCommand] (org.ovirt.thread.pool-4-thread-42) [314523a5] FINISH, CreateVmVDSCommand, return: WaitForLaunch, log id: 1c0d1286                                                                                                                                               
2014-04-06 18:55:57,075 INFO  [org.ovirt.engine.core.bll.RunVmCommand] (org.ovirt.thread.pool-4-thread-42) [314523a5] Lock freed to object EngineLock [exclusiveLocks= key: a99485c5-81ff-40d5-a5f8-f32440dddf13 value: VM                                                                                                                          
, sharedLocks= ]                                                                                                                                                          
2014-04-06 18:55:57,081 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (org.ovirt.thread.pool-4-thread-42) [314523a5] Correlation ID: 314523a5, Job ID: c1b46d12-d8cd-4dc3-9868-b1c8c8416d8c, Call Stack: null, Custom Event ID: -1, Message: VM vm1 was started by admin (Host: 10.35.116.2).                        
2014-04-06 18:55:59,882 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (DefaultQuartzScheduler_Worker-56) VM vm1 a99485c5-81ff-40d5-a5f8-f32440dddf13 moved from WaitForLaunch --> PoweringUp
2014-04-06 18:55:59,938 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FullListVdsCommand] (DefaultQuartzScheduler_Worker-56) START, FullListVdsCommand(HostName = 10.35.116.2, HostId = 1e52afb1-3a0a-4168-a0b8-8b6a846fb0de, vds=Host[10.35.116.2], vmIds=[a99485c5-81ff-40d5-a5f8-f32440dddf13]), log id: 39954751
2014-04-06 18:55:59,954 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FullListVdsCommand] (DefaultQuartzScheduler_Worker-56) FINISH, FullListVdsCommand, return: [{displaySecurePort=5901, kvmEnable=true, nicModel=rtl8139,pv, keyboardLayout=en-us, displayIp=0, pauseCode=NOERR, nice=0, timeOffset=0, transparentHugePages=true, vmId=a99485c5-81ff-40d5-a5f8-f32440dddf13, acpiEnable=true, custom={}, spiceSslCipherSuite=DEFAULT, memSize=1024, displayPort=5900, smp=1, emulatedMachine=rhel6.5.0, status=Up, vmType=kvm, memGuaranteedSize=1024, display=qxl, pid=17965, smartcardEnable=false, smpCoresPerSocket=1, spiceSecureChannels=smain,sinputs,scursor,splayback,srecord,sdisplay,susbredir,ssmartcard, maxVCpus=160, clientIp=, devices=[Ljava.lang.Object;@777d345f, vmName=vm1, cpuType=Nehalem}], log id: 39954751
2014-04-06 18:56:25,524 INFO  [org.ovirt.engine.core.bll.MoveOrCopyDiskCommand] (ajp-/127.0.0.1:8702-5) [10c1fa10] Lock Acquired to object EngineLock [exclusiveLocks= key: 2b50fb48-450b-420f-83ac-52842572d746 value: DISK
, sharedLocks= key: 5da1780a-c635-4189-a8a0-ea9634313e5b value: TEMPLATE
]
2014-04-06 18:56:25,530 WARN  [org.ovirt.engine.core.bll.MoveOrCopyDiskCommand] (ajp-/127.0.0.1:8702-5) [10c1fa10] CanDoAction of action MoveOrCopyDisk failed. Reasons:VAR__ACTION__COPY,VAR__TYPE__VM_DISK,ACTION_TYPE_FAILED_DISK_CONFIGURATION_NOT_SUPPORTED,$volumeFormat RAW,$volumeType Sparse
2014-04-06 18:56:25,531 INFO  [org.ovirt.engine.core.bll.MoveOrCopyDiskCommand] (ajp-/127.0.0.1:8702-5) [10c1fa10] Lock freed to object EngineLock [exclusiveLocks= key: 2b50fb48-450b-420f-83ac-52842572d746 value: DISK
, sharedLocks= key: 5da1780a-c635-4189-a8a0-ea9634313e5b value: TEMPLATE
]

Comment 1 Ori Gofen 2014-04-07 13:00:21 UTC
********************  Clarification  *************************

This bug apllies to any kind of thin provision disk movement between File-->block domain on condintion that the disk was first created on File domain

Comment 2 Allon Mureinik 2014-04-08 22:25:37 UTC
Raw/sparse is an excellent default for file domain. The problem isn't with creating disks that way - it's with being unable to copy that disk to a block domain.
This should be fixed with bug 1063996 being merged.

Comment 3 Ori Gofen 2014-05-07 11:53:05 UTC
reopened due to recreation of the bug on version:

vdsm-cli-4.14.7-0.2.rc.el6ev.noarch
rhevm-3.4.0-0.16.rc.el6ev.noarch

steps like the ones mentioned above:

* create a template on a vm with a File data Domain disks
** try to copy one of the templates to iscsi domain

it fails,hour of command execution 14:39:38
(see logs below)

Comment 4 Ori Gofen 2014-05-07 11:54:36 UTC
Created attachment 893231 [details]
new logs

Comment 5 Allon Mureinik 2014-05-08 07:08:44 UTC
I don't know where AV6 came from, but this is only fixed in AV7.

Anyway, when testing/failing a BZ, please also specify the VDSM version, since the majority of the fix was there.

Comment 6 Allon Mureinik 2014-05-08 08:39:31 UTC
From the logs, VDSM version is 4.14.7-0.2.rc.el6ev, which should solve this issue.

Comment 7 Ori Gofen 2014-05-13 10:04:41 UTC
Created attachment 895081 [details]
another logs attachment

Bug recreated again on av9 vdsm gets ERROR executing Storage.Dispatcher.Protect
and engine throws exceptions Exception: IrsOperationFailedNoFailoverException: IRSGenericException: IRSErrorException: Incorrect Volume format

Comment 8 Eyal Edri 2014-05-13 14:08:53 UTC
bug is fixed on av9.1, please verify on the right build.
moving back to ON_QA.

Comment 9 Ori Gofen 2014-05-14 13:30:47 UTC
probably blocked,I'm on it

Comment 10 Ori Gofen 2014-05-14 13:57:01 UTC
Blocks:BZ #1097777

Comment 11 Ori Gofen 2014-05-15 11:35:41 UTC
verified on av9.1

Comment 12 Itamar Heim 2014-06-12 14:08:25 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.